> For the complete documentation index, see [llms.txt](https://docs.fly.trade/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fly.trade/flycn/developers/api-reference/requesting-and-using-api-key.md).

# Requesting and Using API Key

## How to request API key

API key is not required, you can use the public API without the API key. Should you require a dedicated API key, kindly open a support ticket on our [Discord](https://discord.com/invite/flytrade). In your request, please include detailed information about your project and how you intend to utilize our APIs.

## How to use API key

Include the `apikey` header alongside the request. To verify that the API key is working, check if the response contains `x-auth-status: authenticated` header.

```
$ curl -I -H 'apikey: <APIKEY>' https://api.magpiefi.xyz/ | grep -i 'x-auth-status'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fly.trade/flycn/developers/api-reference/requesting-and-using-api-key.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
